Axiomatic
Ledger

Trial Balance

Per-account debit/credit totals

GET
/api/trial-balance

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Query Parameters

entityId*string
Formatuuid
bookId*string
Formatuuid
asOfDate?string
Formatdate
fromDate?string
Formatdate

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/trial-balance?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&bookId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "accounts": [    {      "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",      "code": "string",      "name": "string",      "type": "string",      "debit": 0,      "credit": 0,      "net": 0    }  ],  "totalDebits": 0,  "totalCredits": 0,  "isBalanced": true}
{  "error": "string"}
{  "error": "string"}